/PageCategory/Paginated
GET
/PageCategory/Paginated
const url = 'https://api.chatfood.app/PageCategory/Paginated';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.chatfood.app/PageCategory/Paginated \ --header 'Authorization: Bearer <token>'Authorizations
Seção intitulada “Authorizations”Parameters
Seção intitulada “Parameters”Query Parameters
Seção intitulada “Query Parameters”size
integer format: int32
page
integer format: int32
searchName
string
Responses
Seção intitulada “Responses”OK
object
count
integer format: int64
value
Array<object>
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
accountId
string format: uuid
name
string
createdBy
string format: uuid
pageCount
integer format: int32
categoryCounts
Array<object>
object
categoryId
string format: uuid
categoryName
string
count
integer format: int32
object
count
integer format: int64
value
Array<object>
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
accountId
string format: uuid
name
string
createdBy
string format: uuid
pageCount
integer format: int32
categoryCounts
Array<object>
object
categoryId
string format: uuid
categoryName
string
count
integer format: int32
Examplegenerated
{ "count": 1, "value": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z", "accountId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "createdBy": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "pageCount": 1 } ], "categoryCounts": [ { "categoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "categoryName": "example", "count": 1 } ]}object
count
integer format: int64
value
Array<object>
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
accountId
string format: uuid
name
string
createdBy
string format: uuid
pageCount
integer format: int32
categoryCounts
Array<object>
object
categoryId
string format: uuid
categoryName
string
count
integer format: int32
Examplegenerated
{ "count": 1, "value": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z", "accountId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "createdBy": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "pageCount": 1 } ], "categoryCounts": [ { "categoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "categoryName": "example", "count": 1 } ]}